% Funkce parametry má na výstupu hodnotu Tm, enthalpie a hodnoty vlnové
% délky pro kterou probíhala analýza. Pokud byl změněno pole edit u třetího
% grafu, dojde k překreslení třetího grafu, kde se vykreslí jak funkce
% Theta, tak polynom.

function [Tm_teplota, enthalpy] = parametry(redraw,master_str,val, handles)

[k,l_mat_y] = size(master_str{val}.mat_y);
%Nalezení Tm.
for i = 1:l_mat_y
    nejmensi(i) = master_str{val}.theta(i)- 0.5;
     if nejmensi(1) > 0
        if(nejmensi(i) > 0)
           horni = nejmensi(i);
           id_Tm_theta = i;
        end
     else
           if(nejmensi(i) < 0)
           horni = nejmensi(i);
           id_Tm_theta = i;
           end
     end
end
dolni = nejmensi(id_Tm_theta+1);
rozdil = horni-dolni;
pomer = horni/rozdil;
Tm_teplota1 = master_str{val}.teplota(id_Tm_theta)+ pomer;
Tm_teplota = round(Tm_teplota1*10)/10;
% Výpočet Enthalpie
if ~isempty(get(handles.Approx3E, 'String')) && ~isnan(str2double(get(handles.Approx3E, 'String')))
   pol2 = get(handles.Approx3E, 'String');
else
         warndlg('Chyba - patně zvolený stupeň polynomu.', 'Chyba');    
end
pol22 = str2double(pol2);
f = polyfit(master_str{val}.teplota,master_str{val}.theta,pol22);
der_polynom = polyder(f);

der = polyval(der_polynom,Tm_teplota1);
pro_plot = polyval(f, master_str{val}.teplota);

if redraw ==1
    axes(handles.axes3);
    ColorSet = varycolor(val);
    plot(master_str{val}.teplota,master_str{val}.theta,'Color',ColorSet(val,:),'LineWidth',1);
    hold on
    plot(master_str{val}.teplota,pro_plot);
    hold on
    grid on
    axis tight
    title('Funkce Theta');
    xlabel('Teplota[°C]');
    ylabel('Theta');
end
n = 1;
R = 8.314472;
enthalpy = (2+2.*n).*R.*((273.15+Tm_teplota)^2).*der;